Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class StateType

    java.lang.Object
      com.bea.wli.worklist.api.StateType

All Implemented Interfaces:
  Serializable

Deprecated.

    public class StateType

extends Object
implements Serializable

This class describes the different possible states of a task. There are 6 possible states. Please refer to the documentation to learn more about states and state transitions.

Since:
  8.1
See Also:
  Serialized Form

Field Summary
`static StateType` | `ABORTED` Deprecated.
`static StateType` | `ASSIGNED` Deprecated.
`static StateType` | `CLAIMED` Deprecated.
`static StateType` | `COMPLETED` Deprecated.
`static StateType` | `STARTED` Deprecated.
`static StateType` | `SUSPENDED` Deprecated.

Method Summary
`static StateType` | `getStateType(Integer value)` Deprecated.
`static StateType` | `getStateType(String value)` Deprecated.
`Integer` | `getValue()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASSIGNED

    public static final StateType ASSIGNED

  Deprecated.

### CLAIMED

    public static final StateType CLAIMED

  Deprecated.

### STARTED

    public static final StateType STARTED

  Deprecated.

### SUSPENDED

    public static final StateType SUSPENDED

  Deprecated.

### COMPLETED

    public static final StateType COMPLETED

  Deprecated.

### ABORTED

    public static final StateType ABORTED

  Deprecated.

Method Detail

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### getValue

    public Integer getValue()

  Deprecated.

### getStateType

    public static StateType getStateType(Integer value)

  Deprecated.

### getStateType

    public static StateType getStateType(String value)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD